#include <bits/stdc++.h>
using namespace std;
using ll = long long;

int main()
{
    ll n;
    cin >> n;
    int min1 = 3, min2 = 4, max1 = n * 2 - 3, max2 = n * 2 - 2, uk = 0;
    deque<ll> r1;
    deque<ll> r2;
    r1.push_back(1);
    r2.push_back(2);
    r1.push_front(n*2-1);
    r2.push_front(n*2);
    uk += (abs(r1.back() -  r1.front()) + abs(r2.back() - r2.front()));
    while (r1.size() + r2.size() < n*2)
    {
        int raz11max = abs(r1.back() - max1), raz12max = abs(r1.front() - max1), raz21max = abs(r2.back() - max2), raz22max = abs(r2.front() - max2), raz11min = abs(r1.back() - min1), raz12min = abs(r1.front() - min1), raz21min = abs(r2.back() - min2), raz22min = abs(r2.front() - min2);
        if (raz11max > raz12max && raz11max > raz11min && raz11max > raz12min)
        {
            r1.push_back(max1);
            max1 -= 2;
            uk += raz11max;
        }
        else if (raz12max > raz11max && raz12max > raz11min && raz12max > raz12min)
        {
            r1.push_front(max1);
            max1 -= 2;
            uk += raz12max;
        }
        else if (raz12min > raz11max && raz12min > raz11min && raz12min > raz12max)
        {
            r1.push_front(min2);
            min2 += 2;
            uk += raz12min;
        }
        else
        {
            r1.push_front(min1);
            min1 += 2;
            uk += raz11min;
        }
        if (raz21max > raz22max && raz21max > raz21min && raz21max > raz22min)
        {
            r2.push_back(max2);
            max2 -= 2;
            uk += raz21max;
        }
        else if (raz22max > raz21max && raz22max > raz21min && raz22max > raz22min)
        {
            r2.push_front(max2);
            max2 -= 2;
            uk += raz22max;
        }
        else if (raz22min > raz21max && raz22min > raz21min && raz22min > raz22max)
        {
            r2.push_front(min2);
            min2 += 2;
            uk += raz22min;
        }
        else
        {
            r2.push_back(min2);
            min2 += 2;
            uk += raz21min;
        }
    }
    while(!r1.empty())
    {
        cout << r1.back() << " ";
        r1.pop_back();
    }
    cout << '\n';
    while(!r2.empty())
    {
        cout << r2.back() << " ";
        r2.pop_back();
    }
    //cout << '\n';
    //cout << uk;
    return 0;
}